Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162127 - id3lib not linked against -lstdc++
Summary: id3lib not linked against -lstdc++
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: id3lib
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 06:24 UTC by Joe Orton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-04 17:01:40 UTC


Attachments (Terms of Use)

Description Joe Orton 2005-06-30 06:24:59 UTC
id3lib is not linked against -lstdc++, but it needs to be.  (its pure-C
interface can be use by pure-C apps)

$ ldd -u /usr/lib/libid3-3.8.so.3.0.0
     10447:     /usr/lib/libid3-3.8.so.3.0.0: error: symbol lookup error:
undefined symbol: _ZTTSt14basic_ifstreamIcSt11char_traitsIcEE (continued)
undefined symbol: _ZTTSt14basic_ifstreamIcSt11char_traitsIcEE  
(/usr/lib/libid3-3.8.so.3.0.0)
     10447:     /usr/lib/libid3-3.8.so.3.0.0: error: symbol lookup error:
undefined symbol: _ZTVSt13basic_filebufIcSt11char_traitsIcEE (continued)
...

$ LD_PRELOAD=/usr/lib/libstdc++.so.6.0.4 ldd -u /usr/lib/libid3-3.8.so.3
Unused direct dependencies:

$

Comment 1 Michael Schwendt 2005-06-30 14:56:51 UTC
The included libtool needs an update for C++ support.



Note You need to log in before you can comment on or make changes to this bug.